<?php

$filename = 'c_leitura.php';

session_start();
if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

function gerar_codigos($num) {
    $codigos = array();
    for ($i = 0; $i < $num; $i++) {
        $token = openssl_random_pseudo_bytes(2);
        $token = bin2hex($token);
        $codigos[] = $token;
    }
    return $codigos;
}
?>
<?php

error_reporting(0);
include ('db.php');

$filterPost = array(
    'apoio' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'valor' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'quantidade' => array(
        'filter' => FILTER_VALIDATE_INT
    )
);
$data_post = filter_input_array(INPUT_POST, $filterPost);

$apoio = $data_post['apoio'];
$valor = $data_post['valor'];
$quantidade = $data_post['quantidade'];

$codigos = gerar_codigos($quantidade);
foreach ($codigos as $codigo) {
    $sql = mysql_query("INSERT INTO pre_pago (id_apoio, valor, codigo) VALUES ($apoio, $valor, '$codigo')");
}
if ($sql) {
    echo json_encode(array('success' => 1, 'msg' => 'Cadastro realizado com sucesso!', 'codigos' => $codigos, 'valor' => $valor));
} else {
    echo json_encode(array('success' => 0, 'msg' => 'Erro ao realizar cadastro'));
}
exit;
?>

